| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
GaudiRoot Namespace Reference

## Classes
class | IOHandler
union | RefAccessor

## Functions
bool | patchStreamers (MsgStream &log)
void | resetLastLink ()
void | pushCurrentDataObject (DataObject **pobjAddr)
void | popCurrentDataObject ()

## Function Documentation

bool GaudiRoot::patchStreamers | ( | MsgStream & | log | ) |

Definition at line 216 of file RootIOHandler.cpp.

217 {
218 static bool first = true;
219 if ( first ) {
220 first = false;
221 #if ROOT_VERSION_CODE < ROOT_VERSION( 5, 99, 0 )
222 gSystem->Load( "libCintex" );
223 gROOT->ProcessLine( "Cintex::Cintex::Enable()" );
224 gROOT->ProcessLine( "#include <vector>" );
225 gInterpreter->EnableAutoLoading();
226 gInterpreter->AutoLoad( "DataObject" );
227 gInterpreter->AutoLoad( "PoolDbLinkManager" );
228 gSystem->Load( "libGaudiKernelDict" );
229 gSystem->Load( "libGaudiExamplesDict" );
230 #else
231 gInterpreter->EnableAutoLoading();
232 gInterpreter->AutoLoad( "DataObject" );
233 gInterpreter->AutoLoad( "PoolDbLinkManager" );
234 #endif
235
236 bool b1 = makeStreamer<SmartRefBase>( s );
237 bool b2 = makeStreamer<ContainedObject>( s );
238 bool b3 = makeStreamer<pool::Token>( s );
239 return b1 && b2 && b3;
240 }
241 return true;
242 }
gaudirun.s
string s
Definition: gaudirun.py:253

void GaudiRoot::popCurrentDataObject | ( |  | ) |

Definition at line 41 of file RootIOHandler.cpp.

42 {
43 Gaudi::popCurrentDataObject();
44 resetLastLink();
45 }
Gaudi::popCurrentDataObject
GAUDI_API void popCurrentDataObject()
Definition: RootIOHandler.cpp:41
GaudiRoot::resetLastLink
void resetLastLink()
Definition: RootIOHandler.cpp:31

void GaudiRoot::pushCurrentDataObject | ( | DataObject ** | pobjAddr | ) |

Definition at line 36 of file RootIOHandler.cpp.

37 {
38 Gaudi::pushCurrentDataObject( pobjAddr );
39 resetLastLink();
40 }
Gaudi::pushCurrentDataObject
GAUDI_API void pushCurrentDataObject(DataObject **pobjAddr)
Definition: RootIOHandler.cpp:36
GaudiRoot::resetLastLink
void resetLastLink()
Definition: RootIOHandler.cpp:31

void GaudiRoot::resetLastLink | ( |  | ) |

Definition at line 31 of file RootIOHandler.cpp.

32 {
33 last_link_object = nullptr;
34 last_link_hint = -1;
35 }